Skip to main content
POST
Convert History

Authorizations

X-TXC-APIKEY
string
header
required

The public WhiteBIT API key.

X-TXC-PAYLOAD
string
header
required

Base64-encoded JSON request body.

X-TXC-SIGNATURE
string
header
required

HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).

Body

application/json
fromTicker
string

From currency. Example: BTC

Example:

"BTC"

toTicker
string

To currency. Example: USDT

Example:

"USDT"

from
string

From time filter. Example: 1699260637. Default: now()

Example:

"1699260637"

to
string

To time filter. Example: 1699260637. Default: now() +

Example:

"1699260637"

quoteId
string

Quote Id. Example: 4050

Example:

"4050"

limit
string

How many records to receive. Default: 100

Example:

"100"

offset
string

Amount to convert or receive. Default 0

Example:

"0"

nonce
integer

Nonce for request

Example:

1699260637

request
string

Request path

Example:

"{{request}}"

Response

Successful response

records
object[]
total
integer

Total number of records

Example:

4

limit
integer

Limit used in request

Example:

1

offset
integer

Offset used in request

Example:

0